## net.i2p.router.web
Class ConfigPeerHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigPeerHandler

    public class ConfigPeerHandler

extends FormHandler

Field Summary

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _passphrase`

Constructor Summary
`ConfigPeerHandler()`

Method Summary
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` `setCapacity(java.lang.String bonus)`
`void` `setPeer(java.lang.String peer)`
`void` `setSpeed(java.lang.String bonus)`

Methods inherited from class net.i2p.router.web.FormHandler
`_, _, addFormError, addFormNotice, getAllMessages, getErrors, getNotices, setAction, setContextId, setNonce, setPassphrase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigPeerHandler

    public ConfigPeerHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`

### setPeer

    public void setPeer(java.lang.String peer)

### setSpeed

    public void setSpeed(java.lang.String bonus)

### setCapacity

    public void setCapacity(java.lang.String bonus)